Subject: RE: Control the cygwin terminal with escape sequences
From: "Philippe Verdret" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 4 Mar 2003 10:24:12 +0100

Hi Igor,

After updating cygwin on my pc, i try again:

% perl -e 'system("stty raw -echo") ; print "\e[H\e[J"'

which doesn't clear the screen. 
I use the ActiveState Perl, 5.8.0, bash 2.05b.0(8) and cygwin-1.3.20-1.
Can you send me a command line which work? I will try it.

Many thanks,
Philippe

-----Message d'origine-----
De : Igor Pechtchanski [mailto:[email-masked]]
Envoye : lundi 3 mars 2003 16:52
A : Philippe Verdret
Cc : [email-masked]; [email-masked]
Objet : Re: Control the cygwin terminal with escape sequences

Redirecting to the correct list.  Please remove <cygwin-xfree at cygwin
dot com> from replies.

On Mon, 3 Mar 2003, Philippe Verdret wrote:

> Hi,
>
> i want to control the cygwin terminal with escape sequences generated
> by a Perl program.
>
> I can clear the screen with the echo command:
> % echo -e "\033[H\033[J"
>
> but if i write a small inline perl program, i can't:
>
> % perl -e 'print "\033[H\033[J"'
>
> This doesn't work even if i put the screen in 'raw mode' without echo
> (with system('stty -echo raw') in the perl program).
>
> Can you help me?
>
> Philippe

And answering:

Philippe,

Works for me (using cygwin-1.3.20, bash-2.05b-8 and perl-5.6.1)...  You
might want to report your problem properly, as described in
<http://cygwin.com/bugs.html>.  Also, check that your perl one-liner
outputs exactly the right sequence (by piping it to "od -c", for example).
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
  -- /usr/games/fortune

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/